// file      : xsd-frontend/semantic-graph/element.hxx
// author    : Boris Kolpackov <boris@codesynthesis.com>
// copyright : Copyright (c) 2005 Code Synthesis Tools CC
// license   : GNU GPL v2 + exceptions; see accompanying LICENSE file

#ifndef XSD_FRONTEND_SEMANTIC_GRAPH_ELEMENT_HXX
#define XSD_FRONTEND_SEMANTIC_GRAPH_ELEMENT_HXX

#include <xsd-frontend/semantic-graph/elements.hxx>

namespace XSDFrontend
{
  namespace SemanticGraph
  {
    class Element: public virtual Member
    {
    public:
      Boolean
      qualified () const
      {
        return qualified_;
      }

    protected:
      friend class Bits::Graph<Node, Edge>;

      Element (UnsignedLong line,
               UnsignedLong column,
               UnsignedLong min,
               UnsignedLong max,
               Boolean qualified);

    private:
      Boolean qualified_;
    };
  }
}

#endif  // XSD_FRONTEND_SEMANTIC_GRAPH_ELEMENT_HXX
